org.keycloak.services.resources.flows

## Class OAuthFlows

- java.lang.Object
- - org.keycloak.services.resources.flows.OAuthFlows

-     public class OAuthFlows
      extends Object

  Author:
    Bill Burke, Stian Thorgersen

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `javax.ws.rs.core.Response` | `forwardToSecurityFailure(String message)`
    `javax.ws.rs.core.Response` | `processAccessCode(String scopeParam, String state, String redirect, ClientModel client, UserModel user, UserSessionModel session, String username, boolean rememberMe, String authMethod, Audit audit)`
    `javax.ws.rs.core.Response` | `redirectAccessCode(AccessCodeEntry accessCode, UserSessionModel session, String state, String redirect)`
    `javax.ws.rs.core.Response` | `redirectAccessCode(AccessCodeEntry accessCode, UserSessionModel session, String state, String redirect, boolean rememberMe)`
    `javax.ws.rs.core.Response` | `redirectError(ClientModel client, String error, String state, String redirect)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### redirectAccessCode

          public javax.ws.rs.core.Response redirectAccessCode(AccessCodeEntry accessCode,
                                                     UserSessionModel session,
                                                     String state,
                                                     String redirect)

    - #### redirectAccessCode

          public javax.ws.rs.core.Response redirectAccessCode(AccessCodeEntry accessCode,
                                                     UserSessionModel session,
                                                     String state,
                                                     String redirect,
                                                     boolean rememberMe)

    - #### redirectError

          public javax.ws.rs.core.Response redirectError(ClientModel client,
                                                String error,
                                                String state,
                                                String redirect)

    - #### processAccessCode

          public javax.ws.rs.core.Response processAccessCode(String scopeParam,
                                                    String state,
                                                    String redirect,
                                                    ClientModel client,
                                                    UserModel user,
                                                    UserSessionModel session,
                                                    String username,
                                                    boolean rememberMe,
                                                    String authMethod,
                                                    Audit audit)

    - #### forwardToSecurityFailure

          public javax.ws.rs.core.Response forwardToSecurityFailure(String message)

Copyright © 2014. All Rights Reserved.